Als de webbrowser meldt dat de QuickTime-plugin ontbreekt

Een klein aantal oudere webpagina's heeft nog de verouderde QuickTime 7-webplugin nodig om media te kunnen afspelen. Deze plugin is in recente versies van macOS en een aantal webbrowsers niet meer ingeschakeld.

Dit artikel is gearchiveerd,het wordt niet meer bijgewerkt door Apple.

Als u een webpagina bezoekt die de verouderde QuickTime 7-webplugin nodig heeft, verschijnt in de webbrowser mogelijk een bericht waarin wordt gemeld dat de plugin ontbreekt of niet wordt ondersteund.

  • Deze plugin is in macOS Sierra, El Capitan, Yosemite en Mavericks niet meer ingeschakeld. Websites maken steeds meer gebruik van de HTML5-internetstandaard voor betere videoweergave in allerlei browsers en op allerlei apparaten.
  • Recente versies van een aantal webbrowsers van andere leveranciers ondersteunen geen verouderde webplugins meer.

Herstel indien nodig de plugin

Als u niet wilt wachten tot de auteur diens webpagina heeft bijgewerkt, kunt u de verouderde QuickTime 7-webplugin herstellen. De Mac is wel veiliger als u verouderde plugins voor browsers niet inschakelt. Volg deze stappen dus alleen als het niet anders kan.

  1. Gebruik Safari of een andere browser die verouderde webplugins ondersteunt.
  2. Kies 'Ga' > 'Ga naar map' in de menubalk in de Finder.
  3. Typ /Library/Internet Plug-Ins in het zoekveld en klik op 'Ga'. De map Internet Plug-Ins wordt geopend.
  4. Houd de Command (⌘)-toets ingedrukt en dubbelklik op de map Disabled Plug-Ins om deze in een nieuw venster te openen.
  5. Sleep deze twee bestanden van de map Disabled Plug-Ins naar de map Internet Plug-Ins:
    • QuickTime Plugin.plugin
    • nslQTScriptablePlugin.xpt
  6. Als u wordt gevraagd uw identiteit te controleren, klikt u op 'Identiteitscontrole' en voert u de naam en het wachtwoord van een beheerder in.
  7. Stop de webbrowser en open de browser opnieuw. U moet nu de media kunnen afspelen. 

Als u de verouderde QuickTime 7-webplugin weer wilt uitschakelen, verplaatst u beide bestanden terug naar de map Disabled Plug-Ins.

Werk de webpagina's bij zodat de plugin niet langer vereist is

Als u een webontwikkelaar bent, werkt u de webpagina's bij om alle <embed>-tags te vervangen die de verouderde QuickTime 7-webplugin aanroepen. Gebruik voortaan de HTML5-<video>-tag. Hiermee kan media worden afgespeeld in de meeste moderne webbrowsers op desktops en mobiele apparaten zonder extra software of plugins. Informatie over het gebruik van deze tag is overal beschikbaar.

Als u de verouderde QuickTime 7-webplugin gebruikt om panoramische afbeeldingen weer te geven, gebruikt u in plaats daarvan een panoramaviewer voor HTML5. Zoek op internet een panoramaviewer die geen webplugin nodig heeft.

Informatie over producten die niet door Apple zijn gemaakt of externe websites die niet door Apple worden beheerd of getest, wordt verstrekt zonder aanbeveling of goedkeuring. Apple aanvaardt geen aansprakelijkheid wat betreft de keuze, de prestaties of het gebruik van websites of producten van derden. Apple doet geen enkele toezegging met betrekking tot de juistheid of de betrouwbaarheid van websites van derden. Aan het gebruik van internet zijn risico’s verbonden. Neem contact op met de leverancier voor meer informatie. Andere bedrijfs- en productnamen zijn mogelijk handelsmerken van de respectievelijke eigenaars.

Publicatiedatum: